Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List slack

GET/workspaces/{organizationId}/slack
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Slack installation status

installedbooleanrequired
teamIdstring | nullrequired
teamNamestring | nullrequired
defaultChannelIdstring | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/slack' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "installed": true,
  "teamId": "string",
  "teamName": "string",
  "defaultChannelId": "string"
}

Was this page helpful?